body {
  margin: 0;
  padding: 0;
  font-family: "Nunito", sans-serif;
  animation: rainbowBody 30s infinite;
}


body::-webkit-scrollbar {
  display: none;
  /* Nasconde la scrollbar su Chrome e Safari */
}


header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
  z-index: 1000000;
  background-color: rgba(255, 255, 255, 0.12);
  border-bottom: rgba(255, 255, 255, 0.2) 0.3px solid;
  border-top: rgba(255, 255, 255, 0.2) 0.3px solid;
}



nav ul {
  display: flex;
  gap: 1rem;
}

nav ul li a {
  color: white;
  font-size: 1.2rem;
  font-weight: bold;
  transition: color 0.5s ease;
}

nav ul li a:hover {
  animation: rainbow 0.75s forwards, finalRed 1s forwards 1s;
}

@keyframes rainbow {
  0% {
    color: red;
  }

  15% {
    color: orange;
  }

  30% {
    color: yellow;
  }

  45% {
    color: green;
  }

  60% {
    color: rgb(0, 145, 255);
  }

  75% {
    color: rgb(115, 0, 255);
  }

  100% {
    color: rgb(233, 0, 0);
  }
}



@keyframes rainbowBody {
  0% {
    background-color: rgba(11, 0, 0, 0.7);
    color: rgba(255, 255, 255, 0.797);
  }

  15% {
    background-color: rgba(17, 11, 0, 0.7);
    color: rgba(255, 255, 255, 0.797);
  }

  30% {
    background-color: rgba(18, 18, 0, 0.7);
    color: rgba(255, 255, 255, 0.797);
  }

  45% {
    background-color: rgba(0, 15, 0, 0.7);
    color: rgba(255, 255, 255, 0.797);
  }

  60% {
    background-color: rgba(0, 10, 17, 0.7);
    color: rgba(255, 255, 255, 0.797);
  }

  75% {
    background-color: rgba(7, 0, 16, 0.7);
    color: rgba(255, 255, 255, 0.797);
  }

  100% {
    background-color: rgba(16, 0, 0, 0.7);
    /* Ripristina il colore di partenza */
    color: rgba(255, 255, 255, 0.797);
  }
}





@keyframes rainbowMenu {
  0% {
    background-color: rgb(255, 215, 215);
    color: red;
  }

  15% {
    background-color: rgb(255, 228, 177);
    color: orange;
  }

  30% {
    background-color: rgb(255, 255, 206);
    color: yellow;
  }

  45% {
    background-color: rgb(213, 255, 213);
    color: green;
  }

  60% {
    background-color: rgb(200, 231, 255);
    color: rgb(0, 145, 255);
  }

  75% {
    background-color: rgb(227, 203, 255);
    color: rgb(115, 0, 255);
  }

  100% {
    background-color: rgb(255, 199, 249);
    color: rgb(255, 0, 230);
  }
}




.gradientheader {
  transition: background-color 0.3s ease;
  z-index: 1000000;
  /* Transizione fluida per il cambio di background */
}



.gradientblack_bg {
  z-index: 1000000;
  background: linear-gradient(to bottom,
      rgba(0, 0, 0, 0.15),
      rgba(0, 0, 0, 0.85));
}



.gradientwhite_bg {
  z-index: 1000000;
  background: linear-gradient(to bottom,
      rgba(0, 0, 0, 0.85),
      rgba(0, 0, 0, 0.15));
  border-top: rgba(255, 255, 255, 0.2) 0.3px solid;


}



/* Nasconde scrollbar su tutti i browser */
.scrollbar-hide::-webkit-scrollbar {
  display: none; /* Per Chrome, Safari e Edge */
}


.scrollbar-hide {
  scrollbar-width: none; /* Per Firefox */
  -ms-overflow-style: none; /* Per Edge */
}






#content {
  margin-bottom: 8vh;
  width: 100%;
  height: 100vh;
  /* Utilizza tutta l'altezza della finestra */
  background-size: cover;
  /* Usa 'cover' per fare in modo che l'immagine copra tutto */
  background-position: center;
  background-attachment: fixed;
  /* Crea l'effetto parallax */
  transition: background-image 1s ease-in-out;
}


/* Usa flexbox per centrare il contenuto e migliorare la responsività */
.text-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  color: rgba(255, 255, 255, 0.8);
  padding: 20px;
  text-align: center;
}

/* Centra il testo all'interno della pagina */
.text-container h1,
.text-container h2 {
  margin: 0;
}


h1,
p {
  user-select: none;
}



footer {
  background-color: rgba(0, 0, 0, 0.8);
  backdrop-filter: blur(10px);
  position: fixed;
  height: 8vh;
  bottom: 0;
  width: 100%;
  display: flex;
  justify-content: space-around;
  color: white;
  font-size: 1.1rem;
  border-top: rgba(255, 0, 0);
}

footer a {
  color: white;
  display: flex;
  align-items: center;
  transition: color 0.3s ease;
}


@keyframes finalRed {
  100% {
    color: red;
    /* Alla fine dell'animazione, il colore diventa rosso */
  }
}

@keyframes finalDarkBlue {
  100% {
    color: #00bbff;
    /* Alla fine dell'animazione, il colore diventa rosso */
  }
}

@keyframes finalBlue {
  100% {
    color: #cbf4ff;
    /* Alla fine dell'animazione, il colore diventa rosso */
  }
}

@keyframes finalDarkViolet {
  100% {
    color: #b300ff;
    /* Alla fine dell'animazione, il colore diventa rosso */
  }
}

@keyframes finalViolet {
  100% {
    color: #d4cbff;
    /* Alla fine dell'animazione, il colore diventa rosso */
  }
}

@keyframes finalDarkGreen {
  100% {
    color: #00ff8c;
    /* Alla fine dell'animazione, il colore diventa rosso */
  }
}


@keyframes finalGreen {
  100% {
    color: #cbffe8;
    /* Alla fine dell'animazione, il colore diventa rosso */
  }
}


#telefono a:hover i {
  animation: rainbow 0.75s forwards, finalDarkGreen 1s forwards 1s;
}

#social a:hover i {
  animation: rainbow 0.75s forwards, finalDarkViolet 1s forwards 1s;
}

#indirizzo a:hover i {
  animation: rainbow 0.75s forwards, finalDarkBlue 1s forwards 1s;
}

#telefono a:hover {
  animation: rainbow 0.75s forwards, finalGreen 1s forwards 1s;
}

#social a:hover {
  animation: rainbow 0.75s forwards, finalViolet 1s forwards 1s;
}

#indirizzo a:hover {
  animation: rainbow 0.75s forwards, finalBlue 1s forwards 1s;
}



footer a i {
  margin-right: 0.5rem;
}

.material-symbols-outlined {
  font-variation-settings: "FILL" 0, "wght" 400, "GRAD" 0, "opsz" 24;
}



#closePopup {
  position: absolute;
  top: 10px;
  right: 10px;
  background: none;
  border: none;
  font-size: 24px;
  cursor: pointer;
  color: #666;
  transition: color 0.3s ease;
}

#closePopup:hover {
  color: #e3342f;
}






.contenuto {
  display: flex;
  padding: 0%;
  justify-content: center;
  align-items: center;
  margin-bottom: 8vh;
  left: 0;
  width: 100vw;
  height: 100vh;
  /* Utilizza tutta l'altezza della finestra */
  overflow: hidden;
  transition: all 0.3s ease-in-out;
}

.categoria {
  width: 100%;
  padding-right: 2vw;
  cursor: pointer;
}

.categoria:hover {
  background-color: rgb(255, 199, 249);
  color: rgb(255, 0, 230);
  animation: rainbowMenu 0.75s;
  font-weight: bold;
}

.categoria:hover.active {
  background: #ff0000;
  color: white;
  font-weight: bold;
}

.active {
  background: #ff0000;
  color: white;
  font-weight: bold;
}

.categoria i {
  padding: 2%;
  font-size: 20px;
}

.categoria h2 {
  font-size: 16px;
}



.tipologia {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  width: 15%;
  background: #000000;
  overflow-y: auto;
  border-right: 1px solid white;
  /* Bordo destro bianco sottile */
  animation: rainbowBody 30s infinite;
}

.articoli {
  display: flex;
  padding-left: 2vw;
  padding-right: 2vw;
  max-height: 100%;
  width: 65%;
  flex-direction: column;
  gap: 50px;
  /* Aggiunge spazio tra i div */
  overflow-y: auto;
  animation: rainbowBody 30s infinite;
}


.articoli::-webkit-scrollbar {
  display: none;
  /* Nasconde la scrollbar su Chrome e Safari */
}


.descrizione {
  background-color: #222;
  padding: 15px;
  border-radius: 5px;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.descrizione h3 {
  color: red;
  font-weight: 1200;
  font-size: 24px;
  margin-bottom: -10px;
  /* Distanza tra h3 e p */
}

.descrizione p {
  color: white;
  font-weight: 100;
  font-size: 16px;
  margin-top: 0;
  /* Evita spazi extra sopra */
}




.media {
  display: flex;
  width: 20%;
  padding: 20px;
  overflow-y: auto;
}

.media:hover {
  width: 35%;
}

.media:hover~.tipologia {
  width: 10%;
  /* Riduce la larghezza */
}

.media:hover~.articoli {
  width: 55%;
  /* Riduce la larghezza */
}


.articoli {
  display: flex;
  padding-left: 2vw;
  max-height: 100%;
  width: 100%;
  flex-direction: column;
  gap: 50px;
  /* Aggiunge spazio tra i div */
  overflow-y: auto;
  animation: rainbowBody 30s infinite;
}


.articoli::-webkit-scrollbar, .servizi::-webkit-scrollbar {
  display: none;
  /* Nasconde la scrollbar su Chrome e Safari */
}



.grid-container {
  display: grid;
  grid-template-columns: repeat(5, 1fr); /* 4 colonne */
  gap: 10px; /* Spazio tra le immagini */
  max-width: 700px; /* Imposta una larghezza massima */
  margin: auto;
  text-align: center;
}

.grid-container div {
  background-color: #f8f8f8; /* Sfondo per simulare celle di tabella */
  padding: 10px;
  border-radius: 8px;
}

.grid-container img {
  width: 100%; /* Adatta l'immagine alla cella */
  height: auto;
  border-radius: 8px;
}

/* Adatta la disposizione su schermi più piccoli */
@media (max-width: 768px) {
  .grid-container {
    grid-template-columns: repeat(2, 1fr); /* 2 colonne su tablet */
  }
}

@media (max-width: 480px) {
  .grid-container {
    grid-template-columns: repeat(1, 1fr); /* 1 colonna su smartphone */
  }
}



/* Stile per simulare contenuto più lungo */
.tipologia,
.articoli,
.media,
.servizi {
  transition: width 0.3s ease-in-out, background 0.3s ease-in-out;
  min-height: 100%;
}

.tipologia div {
  text-align: right;
  color: white;
}















/* Responsive */
@media (max-width: 768px) {
  .contenuto {
    flex-direction: column;
    height: auto;
  }

  .categoria i {
    font-size: 24px;
  }

  .categoria h2 {
    font-size: 14px;
  }

  .tipologia {
    width: 100%;
    height: auto;
    border-right: none;
    border-bottom: rgba(255, 255, 255, 0.2) 1.5px solid;
    animation: rainbowBody 30s infinite;
    align-items: center;
    gap: 0px;
    flex-direction: row;
    background-color: #000;
    /* Aggiungi un colore di sfondo per evitare che scompaia durante lo scroll */
  }

  @keyframes scrollUp {
    0% {
      transform: translateY(0);
    }

    100% {
      transform: translateY(-100%);
    }
  }

  .media {
    overflow: hidden;
    height: 200px;
    position: relative;
  }

  .scrolling-images {
    display: flex;
    flex-direction: column;
    animation: scrollUp 10s linear infinite;
  }


  .categoria {
    width: 20%;
    padding: 0%;
  }

  .articoli {
    width: 100%;
    height: auto;
  }

  .media {
    width: 100%;
    height: 20%;
    bottom: 0;
    /* Bordo alto rosso largo */
  }

  .media:hover {
    width: 100%;
    bottom: 0;
  }

  .tipologia div {
    text-align: center;
    font-size: 12px;
  }



}